PULSAR

Create Multiple Production Advancements

Create a new multiple production advancements.

Authorization

bearerAuth superuser
Authorization<token>

In: header

Scope: superuser

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

Try it live
POST
/v1/public/production-advancements

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/v1/public/production-advancements" \  -H "Content-Type: application/json" \  -d '[    {      "type": "total",      "count": 0.1,      "nominalSpeed": 0.1,      "start": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z",      "machine": {},      "sku": {}    }  ]'
[  {    "id": "string",    "type": "total",    "sensorCount": 0.1,    "count": 0.1,    "nominalSpeed": 0.1,    "countingFactor": 0.1,    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z",    "isReviewed": true,    "isAutomated": true,    "machineId": 0.1,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z",    "live": true,    "machine": {      "isCountEnabled": true,      "externalName": "string",      "name": "string",      "id": 0.1    },    "shift": {      "isConsidered": true,      "end": "2019-08-24T14:15:22Z",      "start": "2019-08-24T14:15:22Z",      "name": "string",      "id": 0.1    },    "company": {      "timezone": "string",      "name": "string",      "id": 0.1    },    "operator": {      "email": "string",      "lastName": "string",      "firstName": "string",      "id": 0.1    },    "sku": {      "unit": "string",      "description": "string",      "name": "string",      "id": "string"    },    "workOrder": {      "status": "Backlog",      "description": "string",      "name": "string",      "id": "string"    },    "simpleWorkOrder": {      "name": "string",      "id": "string"    }  }]